# Installation

{% hint style="warning" %}
Ich empfehle zur Installation von Scripts **WinSCP**

**FileZilla** überträgt in den meisten Fällen einige verschlüsselte Dateien nicht. Dadurch kann es passieren, dass die Scripts nicht funktionieren!
{% endhint %}

## 1. Fraksperre herunterladen

Lade das Fraksperren Script über unser License Panel herunter.

{% embed url="<https://license.wavecore.dev>" %}

Füge das Fraksperren Script (wavecore\_fraksperre) anschließend in deine Start Config hinzu.&#x20;

Das Fraksperren Script muss **nach** der Framework (z.B. es\_extended) und MySQL (z.B. mysql-async oder oxmysql) Ressource starten.

```
start wavecore_fraksperre
```

## 2. SQL einfügen

Führe die SQL aus. Wir empfehlen dort **HeidiSQL**

```sql
CREATE TABLE IF NOT EXISTS `faction_locks` (
    `id` INT AUTO_INCREMENT PRIMARY KEY,
    `identifier` VARCHAR(60) NOT NULL UNIQUE,
    `playerName` VARCHAR(255) NOT NULL,
    `jobName` VARCHAR(50) NOT NULL,
    `lockedUntil` BIGINT NOT NULL,
    `lockedAt` BIGINT NOT NULL,
    `lockedBy` VARCHAR(60) DEFAULT 'system',
    `reason` VARCHAR(255) DEFAULT 'Kündigung',
    `isActive` TINYINT(1) DEFAULT 1,
    INDEX `identifier_index` (`identifier`),
    INDEX `isActive_index` (`isActive`),
    INDEX `lockedUntil_index` (`lockedUntil`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wavecore.dev/wavecore/fraksperre/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
